Summary:        Filter IPv4 and IPv6 addresses matching CIDR patterns
Name:           grepcidr
Version:        2.0
Release:    1%{?dist}
License:        GPLv2+
URL:            http://www.pc-tools.net/unix/grepcidr/
Source0:        http://www.pc-tools.net/files/unix/%{name}-%{version}.tar.gz
Source1:        http://www.pc-tools.net/files/unix/%{name}-%{version}.tar.gz.sha512
BuildRequires:  make
BuildRequires:  gcc

%description
The grepcidr utility can be used to filter a list of IP addresses against
one or more Classless Inter-Domain Routing (CIDR) specifications. As with
grep, there are options to invert matching and load patterns from a file.
It is capable of efficiently processing large numbers of IPs and networks.

%prep
%setup -q
sed -e 's/install /$(INSTALL) /' -i Makefile

%build
%make_build CFLAGS="$RPM_OPT_FLAGS $RPM_LD_FLAGS"

%install
%make_install BINDIR="%{_bindir}" MANDIR="%{_mandir}" %{?el7:INSTALL='install -p'}

%files
%license COPYING
%doc ChangeLog README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-1
- initial build
